# Gimp.Path.stroke_rotate

    @accepts(Gimp.Path, int, float, float, float)
    @returns(bool)
    def stroke_rotate(self, stroke_id, center_x, center_y, angle):
        # Python wrapper for gimp_path_stroke_rotate()

rotates the given stroke.

Rotates the given stroke around given center by angle (in degrees).

Since 2.4

self

  The path object.

stroke_id

  The stroke ID.

center_x

  X coordinate of the rotation center.

center_y

  Y coordinate of the rotation center.

angle

  angle to rotate about.

Returns